import request from '@/utils/request'

// 查询标签记录列表
export function listTagRecord(query) {
  return request({
    url: '/service/tagRecord/list',
    method: 'get',
    params: query
  })
}

// 查询标签记录详细
export function getTagRecord(rId) {
  return request({
    url: '/service/tagRecord/' + rId,
    method: 'get'
  })
}

// 新增标签记录
export function addTagRecord(data) {
  return request({
    url: '/service/tagRecord',
    method: 'post',
    data: data
  })
}

// 修改标签记录
export function updateTagRecord(data) {
  return request({
    url: '/service/tagRecord',
    method: 'put',
    data: data
  })
}

// 删除标签记录
export function delTagRecord(rId) {
  return request({
    url: '/service/tagRecord/' + rId,
    method: 'delete'
  })
}
